Package Details: liri-networkmanager-git r46.5640b93-1

Git Clone URL: https://aur.archlinux.org/liri-networkmanager-git.git (read-only, click to copy)
Package Base: liri-networkmanager-git
Description: Network Manager integration for Liri
Upstream URL: https://liri.io
Licenses: GPL3
Groups: liri-git
Conflicts: liri-networkmanager
Provides: liri-networkmanager
Replaces: liri-networkmanager
Submitter: plfiorini
Maintainer: plfiorini (Terence, Aldrog)
Last Packager: plfiorini
Votes: 1
Popularity: 0.000883
First Submitted: 2018-10-20 15:28
Last Updated: 2020-07-12 23:52

Latest Comments

plfiorini commented on 2020-07-13 00:00

Fixed

wild34 commented on 2020-05-08 10:57

I am using aurutils for building and get an error when building liri-meta-git

/home/builder/.cache/makepkg/shell is not a clone of git://github.com/lirios/networkmanager.git

In PKGBUILD file there is following:

...
_gitname=shell
...

Is this right name?

xyverz commented on 2020-01-21 04:36

Excellent! I was able to get it built and installed. Thank you!

plfiorini commented on 2020-01-19 19:15

@xyverz: should be fixed now but it needs latest liri-cmake-shared-git

xyverz commented on 2019-12-28 09:17

I'm getting the following error when building this package:

/usr/include/KF5/NetworkManagerQt/networkmanagerqt/generictypes.h:44:9: error: ‘QMapIterator’ does not name a type
   44 | typedef QMapIterator<QString, QString> NMStringMapIterator;
      |         ^~~~~~~~~~~~
make[2]: *** [src/imports/networkmanager/CMakeFiles/nmplugin.dir/build.make:63: src/imports/networkmanager/CMakeFiles/nmplugin.dir/nmplugin_autogen/mocs_compilation.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:250: src/imports/networkmanager/CMakeFiles/nmplugin.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Any idea what's going on?

plfiorini commented on 2019-05-31 16:19

Done

SolarAquarion commented on 2019-05-31 04:23

you need to add "qt5-tools" as a makedepend